### Constructor

# Gsk.GLShader.new_from_bytes

#### Declaration [src]

    GskGLShader*
    gsk_gl_shader_new_from_bytes (
      GBytes* sourcecode
    )

#### Description [src]

Creates a `GskGLShader` that will render pixels using the specified code.

#### Parameters

`sourcecode` | `GBytes*`
| GLSL sourcecode for the shader, as a `GBytes`
| Ownership is not transferred to the callee

#### Return value

Returns: `GskGLShader`
A new `GskGLShader`
Ownership of the data is transferred to the caller